List transactions by member
Requests to this endpoint return a list of transactions associated with the specified member, across all accounts associated with that member.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
Headers
MX Platform API version.
"v20260929"
Path Parameters
Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.
Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided. Maximum date range limit is 6 months.
Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions. Maximum date range limit is 6 months.
Filter transactions from the date the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transaction to the date in which the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transactions from the date the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transactions to the date in which the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transactions belonging to specified category_guid.
For example, ?category_guid=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Filter transactions belonging to any specified category_guid[] in url.
For example, ?category_guid[]=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Filter transactions belonging to specified top_level_category_guid. This must be top level category guid, use category_guid for subcategory guid.
For example, ?top_level_category_guid=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Filter transactions belonging to any specified top_level_category_guid[] in url. This must be top level category guid(s), use category_guid for subcategory guid(s).
For example, ?top_level_category_guid[]=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Enrich transaction responses with additional metadata. Pass one or more values as an array to selectively include data.
Accepted values: category, counterparties, merchant, repeating_transaction.
Example: ?includes[]=category&includes[]=merchant
Any other value, or a comma-separated string, returns a 400 error.
category, counterparties, merchant, repeating_transaction 
